:root {
  --bc-table-bg: #F2F4F5;
  --bc-table-td-bg: #F9FAFB;
  --bg-table-att-holiday-bg: #fff2e9;
}

[data-pc-theme=dark] {
  --bc-table-bg: #131920;
  --bc-table-td-bg: var(--bs-body-bg);
  --bg-table-att-holiday-bg: #131920;
}

.logo-lg{
  max-width: 150px;
  max-height: 75px;
}

.lockPage{
  visibility: visible;
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  vertical-align:bottom;
  background: url(/bqnxunznkgfis/loading.gif);
  background-size: 70px 70px;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-color: rgba(255, 255, 255, 0.5);
  z-index: 1027;
  border-radius: 8px;
}

.account-name{
  margin-top: 10px;
  font-weight: 500;
}
  
.form-control-width{
  width: 160px !important;
}
  
.form-control-width-text{
  width: 350px !important;
}

.container_fixed {
  width: 100%;
  height: 1200px;
  overflow: auto;
}

.container_fixed table > thead{
  position: sticky;
  top: 0;
  background: #fff !important;
}

.top-left-fixed {
  width: 100%;
  height: 500px;
  overflow: auto;
}

.top-left-fixed table > thead{
  position: sticky;
  top: 0;
  background: #fff !important;
  z-index: 10;
}

.top-left-fixed td:first-child {
  position: sticky;
  left: 0;
  z-index: 999;
}

[data-pc-theme=dark] .top-left-fixed  td:first-child {
  background-color: #1b232d;
}

[data-pc-theme=light] .top-left-fixed  td:first-child {
  background-color: #FFF;
}

.attendance-name-field{
  padding: 0px 80px 0px 80px !important;
}

.attendance-time-in-out{
  min-width: 100px;
}

.attendance-detail {
  cursor: pointer;
}

.bg-soft-red{
  background-color: #cc5079 !important;
  color:#fff;
}

.bg-att-holiday{
  background-color: var(--bg-table-att-holiday-bg) !important;
  color: #5a5c69;
}

#hidden-row{
  display: none;
}

.bg-cst-yellow{
  background-color: #fae093;
}

.bg-cst-pink{
  background-color: #ffd9de;
}

.bg-cst-green{
  background-color: #bfefd5;
}

#toTop:hover {
  background-color: #ff7421;
}

.report-modal-body {
  max-height:calc(100vh - 150px);
  overflow-y:auto;
  overflow-x:auto;
}
.report-pre {
  width:100%;
  overflow-x:auto;
  word-wrap:normal;
  margin:1px;
}

.table>thead>tr>th {
  border: none !important;
}

.table-rounded {
  border: none !important;
}
.table-rounded thead th {
  background-color: var(--bc-table-bg);
  padding: 0.8rem;
  color: var(--bs-body-color);
  border: none;
}
.table-rounded thead th:first-child {
  border-radius: 12px 0 0 12px;
}
.table-rounded thead th:last-child {
  border-radius: 0 12px 12px 0;
}
.table-rounded tbody tr.part {
  background: var(--bc-table-bg);
  color: var(--bs-body-color);
  border-radius: 12px;
  -moz-border-radius: 12px;
  -webkit-border-radius: 12px;
}
.table-rounded tbody td {
  border: none !important;
}
.table-rounded tbody td:first-child {
  border-radius: 12px 0 0 12px;
}
.table-rounded tbody td:last-child {
  border-radius: 12px;
}

.zebra-table {
  border-collapse: separate;
  border-spacing: 0;
}

.zebra-table thead th {
  background-color: var(--bc-table-bg) !important;
  position: relative;
}

.zebra-table thead tr th:first-child {
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
  z-index: 4;
}

.zebra-table thead tr th:last-child {
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
}

.zebra-table tbody td{
  vertical-align:middle;
  padding: 0.6rem 0.75rem;
}

.zebra-table td, .zebra-table th{
  border-top: transparent;
}

.zebra-table tbody tr:nth-child(even)>td {
  background-color: var(--bc-table-td-bg);
}

.zebra-table tbody tr:nth-child(even)>td:first-child {
  border-radius: 12px 0 0 12px;
}

.zebra-table tbody tr:nth-child(even)>td:last-child {
  border-radius: 0 12px 12px 0;
}

.zebra-table tbody tr:hover td {
    background-color: rgba(0, 0, 0, 0.05);
}

.zebra-table tbody tr:hover td:first-child {
  border-radius: 12px 0 0 12px;
}

.zebra-table tbody tr:hover td:last-child {
    border-radius: 0 12px 12px 0;
}

.zebra-table tbody tr.no-bg > td {
    background-color: transparent !important;
}

.zebra-table tbody tr.no-bg:hover > td {
    background-color: transparent !important;
}

[data-pc-theme=dark] .select2-container--bootstrap-5 .select2-selection {
  color: var(--bs-body-color);
  border: var(--bs-border-width) solid var(--bs-border-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5 .select2-selection {
background-color: #263240;
}

[data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--focus
  .select2-selection,
[data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--open
  .select2-selection {
  border-color: var(--bs-link-hover-color);
}

[data-pc-theme=dark]  .select2-container--bootstrap-5 .select2-selection--single {
background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%236f747f' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e") !important;
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-selection--multiple
  .select2-selection__clear,
[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-selection__clear {
    background: transparent
      url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23676a6d'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e")
      50%/0.75rem auto no-repeat;
  }

[data-pc-theme=dark] .select2-container--bootstrap-5 .select2-dropdown {
  color: var(--bs-body-color);
  background-color: var(--bs-body-bg);
  border-color: var(--bs-link-hover-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-search
  .select2-search__field {
  color: var(--bs-body-color);
  background-color: var(--bs-body-bg);
  background-clip: padding-box;
  border: var(--bs-border-width) solid var(--bs-border-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-search
  .select2-search__field:focus {
  border-color: var(--bs-link-hover-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-results__options
  .select2-results__option.select2-results__message {
  color: #6c757d;
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-results__options
  .select2-results__option.select2-results__option--highlighted {
  color: var(--bs-body-bg);
  background-color: var(--bs-body-color) !important;
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-results__options
  .select2-results__option.select2-results__option--selected,
[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-results__options
  .select2-results__option[aria-selected="true"]:not(
      .select2-results__option--highlighted
  ) {
  color: var(--bs-black);
  background-color: var(--bs-dark-bg-subtle);
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-results__options
  .select2-results__option.select2-results__option--disabled,
[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-results__options
  .select2-results__option[aria-disabled="true"] {
  color: #6c757d;
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-dropdown
  .select2-results__options
  .select2-results__option[role="group"]
  .select2-results__group {
  color: #6c757d;
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-selection--single
  .select2-selection__rendered {
  color: var(--bs-body-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-selection--single
  .select2-selection__rendered
  .select2-selection__placeholder {
  color: var(--bs-body-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5 .select2-selection--multiple .select2-search .select2-search__field::placeholder {
  color: var(--bs-body-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-selection--multiple
  .select2-selection__rendered
  .select2-selection__choice {
  color: var(--bs-body-color);
  border: var(--bs-border-width) solid var(--bs-border-color);
}

[data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--disabled
  .select2-selection,
[data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--disabled.select2-container--focus
  .select2-selection {
  color: #6c757d;
  background-color: var(--bs-light-bg-subtle);
  border-color: var(--bs-dark-bg-subtle);
}

.is-valid + [data-pc-theme=dark]  .select2-container--bootstrap-5 .select2-selection,
.was-validated
  select:valid
  + [data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-selection {
  border-color: #198754;
}

.is-valid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--focus
  .select2-selection,
.is-valid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--open
  .select2-selection,
.was-validated
  select:valid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--focus
  .select2-selection,
.was-validated
  select:valid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--open
  .select2-selection {
  border-color: #198754;
  box-shadow: 0 0 0 0.25rem rgba(25, 135, 84, 0.25);
}

.is-invalid + [data-pc-theme=dark] .select2-container--bootstrap-5 .select2-selection,
.was-validated
  select:invalid
  + [data-pc-theme=dark] .select2-container--bootstrap-5
  .select2-selection {
  border-color: #dc3545;
}

.is-invalid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--focus
  .select2-selection,
.is-invalid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--open
  .select2-selection,
.was-validated
  select:invalid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--focus
  .select2-selection,
.was-validated
  select:invalid
  + [data-pc-theme=dark] .select2-container--bootstrap-5.select2-container--open
  .select2-selection {
  border-color: #dc3545;
  box-shadow: 0 0 0 0.25rem rgba(220, 53, 69, 0.25);
}

h5.with-line {
  overflow: hidden;
}

h5.with-line:after {
  background-color: #8996A4;
  opacity: 0.25;
  content: "";
  display: inline-block;
  height: 1px;
  position: relative;
  vertical-align: middle;
  width: 100%;
}

h5.with-line:after {
  left: 0.5em;
  margin-right: -50%;
}

.image-upload > input{
  display: none;
}

.upload-icon{
  width: 200px;
  position: relative;
  border-radius: 20px;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  border: 6px solid #eaeaea;
  cursor: pointer !important;
}

.upload-icon img{
  display: block;
  width: 188px;
  padding: 10px 10px 10px 10px;
  cursor: pointer;
  border-radius: 20px;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
}

.upload-icon > .overlay-upload-icon {
  opacity: 1;
  cursor: pointer;
  transition: background-color 0.15s ease-in-out, transform 0.15s ease-in-out;
  -webkit-transition: background-color 0.15s ease-in-out, transform 0.15s ease-in-out;
  -moz-transition: background-color 0.15s ease-in-out, transform 0.15s ease-in-out;
  -o-transition: background-color 0.15s ease-in-out, transform 0.15s ease-in-out;
}

.upload-icon:hover > .overlay-upload-icon {
  opacity: 1;
  cursor: pointer;
  background-color: rgb(0, 0, 0, 0.2);
}

.overlay-upload-icon {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
  border-radius: 14px;
  -webkit-border-radius: 14px;
  -moz-border-radius: 14px;
}

.overlay-upload-icon .change-text {
  color: #FFF;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  background-color: rgba(0, 0, 0, 0.6);
  padding: 10px;
  border-radius: 20px;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
}

.overlay-upload-icon:hover .change-text {
  background-color: rgba(0, 0, 0, 0.7);
}

.upload-icon.has-img img {
    width: 100%;
    height: auto;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    margin:0px;
}

.permission-table-wrapper{
    max-height:70vh;
    overflow:auto;
    position: relative;
}

.permission-table {
    border-collapse: separate;
    border-spacing: 0;
    width: 100%;
}

.permission-table thead th {
    position: sticky;
    top: 0;
    z-index: 5;
    background: white;
    padding: 0.5rem 0.75rem;
    vertical-align: middle;
}

.permission-table thead th .form-check-input {
    margin: 0;
}

.permission-table thead th:first-child {
    top: 0;
    left: 0;
    z-index: 7;
}

.permission-table td:first-child,
.permission-table th:first-child{
    position: sticky;
    left: 0;
    z-index: 6;
}

.permission-table tr.active-row{
  background:#e8f2ff;
}

.permission-table th {
    vertical-align: top !important;
}

.text-wrap-action {
    max-width: 95px;
    margin: 0 auto;
    white-space: normal;
    word-break: break-word;
    line-height: 1.5;
    text-align: center;
}